#include <Trade/Trade.mqh>

CTrade trade;

int OnInit()
  {

//Print(_Symbol); will return info on current frame symbol

   return(INIT_SUCCEEDED);
  }

void OnDeinit(const int reason)
  {


  }

void OnTick()
  {
  
  //input int InpTrailingstopPoints = 30; 

  static datetime timestamp;
  datetime time = iTime(_Symbol,PERIOD_CURRENT,0);
  if(timestamp!=time){
  timestamp = time;
  
  
  static int handleSlowMA = iMA(_Symbol,PERIOD_CURRENT,21,0,MODE_EMA,PRICE_OPEN);
  double slowMaArray[];
  CopyBuffer(handleSlowMA,0,1,2,slowMaArray);
  ArraySetAsSeries(slowMaArray,true);
    
  static int handleFastMA = iMA(_Symbol,PERIOD_CURRENT,10,0,MODE_SMA,PRICE_CLOSE);
  double fastMaArray[];
  CopyBuffer(handleFastMA,0,1,2,fastMaArray);
  ArraySetAsSeries(fastMaArray,true);
  
  
 if(fastMaArray[0] > slowMaArray[0] && fastMaArray[1] < slowMaArray[1])
 {
   double ask = SymbolInfoDouble(_Symbol,SYMBOL_ASK);
   double sl = ask - 20 * SymbolInfoDouble(_Symbol,SYMBOL_POINT);
   double tp  = ask + 50 * SymbolInfoDouble(_Symbol,SYMBOL_POINT);
   trade.Buy(0.1,_Symbol,ask,sl,tp,"Buy position open");
   

 }
  if(fastMaArray[0] < slowMaArray[0] && fastMaArray[1] > slowMaArray[1])
 {
   double bid = SymbolInfoDouble(_Symbol,SYMBOL_BID);
   double sl = bid + 20 * SymbolInfoDouble(_Symbol,SYMBOL_POINT);
   double tp  = bid - 50 * SymbolInfoDouble(_Symbol,SYMBOL_POINT);
   trade.Sell(0.1,_Symbol,bid,sl,tp,"Sell position open");
 }
  
  Comment("Black Rhodium Trader");
           
           }
  }

